commit:     1b8ce79f27e26e3df2ebd6f3a9fe816cc8cdf825
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 17 05:10:11 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 17 05:40:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b8ce79f

dev-games/libmt_client: port to EAPI 7, install M4 macro, fix libdir

* Fix libdir in our macro (then install it)
* Install M4 macro

This helps consumers like games-board/mt_ncurses_client find
dev-games/libmt_client.

We need to install the M4 macro so that we can actually regenerate
(eautoreconf).

Right now, some consumers don't have bundled macros at all,
and others lack the needed libdir fixes.

Let's install fixed ones here (and in libmaitretarot) so that consumers
can just rely on those.

Closes: https://bugs.gentoo.org/729734
Closes: https://bugs.gentoo.org/716102
Closes: https://bugs.gentoo.org/715582
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/libmt_client-0.1.98-format.patch         |  4 ++--
 .../files/libmt_client-0.1.98-libdir.patch         | 18 +++++++++++++++
 ...0.1.98.ebuild => libmt_client-0.1.98-r1.ebuild} | 26 +++++++++++++++++-----
 3 files changed, 41 insertions(+), 7 deletions(-)

diff --git a/dev-games/libmt_client/files/libmt_client-0.1.98-format.patch 
b/dev-games/libmt_client/files/libmt_client-0.1.98-format.patch
index 5173853849c..76c329d388d 100644
--- a/dev-games/libmt_client/files/libmt_client-0.1.98-format.patch
+++ b/dev-games/libmt_client/files/libmt_client-0.1.98-format.patch
@@ -1,5 +1,5 @@
---- src/mt_client_game.c.old   2015-12-22 08:51:19.858561807 +0100
-+++ src/mt_client_game.c       2015-12-22 08:52:48.934904973 +0100
+--- a/src/mt_client_game.c
++++ b/src/mt_client_game.c
 @@ -56,7 +56,7 @@
        }
        else

diff --git a/dev-games/libmt_client/files/libmt_client-0.1.98-libdir.patch 
b/dev-games/libmt_client/files/libmt_client-0.1.98-libdir.patch
new file mode 100644
index 00000000000..cc56eb09be4
--- /dev/null
+++ b/dev-games/libmt_client/files/libmt_client-0.1.98-libdir.patch
@@ -0,0 +1,18 @@
+https://bugs.gentoo.org/729734
+
+--- a/libmt_client.m4
++++ b/libmt_client.m4
+@@ -9,10 +9,10 @@ AC_DEFUN([AM_LIB_MT_CLIENT],
+   --with-libmt_client   path to libmt_client libraries,
+       [ 
+               LIBMT_CFLAGS="-I${withval}/include"
+-              LIBMT_LIBS="-L${withval}/lib -lmt_client"
++              LIBMT_LIBS="-L${withval}/${libdir} -lmt_client"
+        ],[ 
+-              LIBMT_CFLAGS="-I/usr/local/include -I/usr/include"
+-              LIBMT_LIBS="-L/usr/local/lib -L/usr/lib -lmt_client"
++              LIBMT_CFLAGS="-I/usr/include"
++              LIBMT_LIBS="-L${libdir} -lmt_client"
+        ])
+  ac_save_CPPFLAGS="$CPPFLAGS"
+  ac_save_CFLAGS="$CFLAGS"

diff --git a/dev-games/libmt_client/libmt_client-0.1.98.ebuild 
b/dev-games/libmt_client/libmt_client-0.1.98-r1.ebuild
similarity index 60%
rename from dev-games/libmt_client/libmt_client-0.1.98.ebuild
rename to dev-games/libmt_client/libmt_client-0.1.98-r1.ebuild
index 611635f2652..997ade02a0e 100644
--- a/dev-games/libmt_client/libmt_client-0.1.98.ebuild
+++ b/dev-games/libmt_client/libmt_client-0.1.98-r1.ebuild
@@ -1,12 +1,13 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit eutils
+inherit autotools
 
 DESCRIPTION="backend library for the maitretarot clients"
 HOMEPAGE="http://www.nongnu.org/maitretarot/";
+
 
SRC_URI="https://savannah.nongnu.org/download/maitretarot/${PN}.pkg/${PV}/${P}.tar.bz2";
 
 LICENSE="GPL-2"
@@ -16,10 +17,20 @@ KEYWORDS="amd64 x86"
 DEPEND="dev-libs/glib:2
        dev-libs/libxml2
        dev-games/libmaitretarot"
-RDEPEND=${DEPEND}
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-format.patch
+       "${FILESDIR}"/${PN}-0.1.98-libdir.patch
+)
 
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-format.patch
+       default
+
+       mv configure.{in,ac} || die
+
+       # For the m4 libdir patch, bug #729734
+       eautoreconf
 }
 
 src_configure() {
@@ -28,5 +39,10 @@ src_configure() {
 
 src_install() {
        default
+
+       # bug #716102
+       insinto /usr/share/aclocal
+       doins libmt_client.m4
+
        find "${ED}" -name '*.la' -delete || die
 }

Reply via email to